/*

Pradinukas su Atmega16

Dovydas R.
www.drpage.ten.lt

Blykcioja sviesos diodai, prijungti prie porto D. Naudojau 14,3MHz kvarca.

*/

#include <avr/io.h> // ivedimo, isvedimo biblioteka

#include "timer.h" // naudoju biblioteka, kad galeciau panaudoti uzlaikyma
 
#define laikas 100 // apsirasau konstanta laikas

int main(void) // prasideda pagrindine programa
{
timerInit(); // ijungiamas taimeris
DDRD = 255; // nustatau portu D kryptys (visi isejimai)

    while(1) // amzinas ciklas, viskas jame kartojasi
    {

PORTD=0b1; //ijungiu pirmaja porto D koja (PD0)
timerPause(laikas); //palaukiu

PORTD=0b10; //ijungiu antra porto D koja (PD1)
timerPause(laikas); //palaukiu

PORTD=0b100; //ijungiu antra porto D koja (PD2)
timerPause(laikas); //palaukiu

PORTD=0b1000; //ijungiu ketvirta porto D koja (PD3)
timerPause(laikas); //palaukiu

PORTD=0b10000; //ijungiu penkta porto D koja (PD4)
timerPause(laikas); //palaukiu

PORTD=0b100000; //ijungiu sesta porto D koja (PD5)
timerPause(laikas); //palaukiu

PORTD=0b1000000; //ijungiu septinta porto D koja (PD6)
timerPause(laikas); //palaukiu

PORTD=0b10000000; //ijungiu astunta porto D koja (PD7)
timerPause(laikas); //palaukiu


   } // ciklo pabaiga
   
} //pagrindines programos pabaiga




